Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.analysis_engine.metadata
Interface CapabilityLanguageFlow

All Superinterfaces:
  Cloneable, FlowConstraints, MetaDataObject, Serializable, XMLizable

    public interface CapabilityLanguageFlow

extends FlowConstraints

A `CapabilityLanguageFlow` is a simple type of `FlowConstraints` that specifies the complete flow as a capabilityLanguage sequence.

Each element in the sequence is specified as a String identifier. In a `CapabilityLanguageFlow` skipping of the included AnalysisEngines is possible if the document language does not map to the capabilities or the output capability was already done by another AnalysisEngine.

Field Summary
`static String` | `FLOW_CONSTRAINTS_TYPE`

Method Summary
`String[]` | `getCapabilityLanguageFlow()` Returns the flow as an array.
`String` | `getFlowConstraintsType()` Gets the type of this `FlowConstraints` object.
`void` | `setCapabilityLanguageFlow(String[] aFlow)` Sets the CapabilityLanguageFlow.

Methods inherited from interface org.apache.uima.analysis_engine.metadata.FlowConstraints
`remapIDs`

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Field Detail

### FLOW_CONSTRAINTS_TYPE

    static final String FLOW_CONSTRAINTS_TYPE

See Also:
  Constant Field Values

Method Detail

### getFlowConstraintsType

    String getFlowConstraintsType()

  Gets the type of this `FlowConstraints` object. Each sub-interface of `FlowConstraints` has its own standard type identifier String. These identifier Strings are used instead of Java class names in order to ease portability of metadata to other languages.

  Specified by:
    `getFlowConstraintsType` in interface `FlowConstraints`
  Returns:
    `FLOW_CONSTRAINTS_TYPE`

### getCapabilityLanguageFlow

    String[] getCapabilityLanguageFlow()

  Returns the flow as an array. Each element of the array is a String that identifies the AnalysisEngine to invoke at that position in the flow.

  Returns:
    an array of AE identifiers.

### setCapabilityLanguageFlow

    void setCapabilityLanguageFlow(String[] aFlow)

  Sets the CapabilityLanguageFlow.

  Parameters:
    `aFlow` - an array of Strings, each of which identifies the AnalysisEngine to invoke at that position in the flow.
  Throws:
    `UIMA_UnsupportedOperationException` - if this `MetaDataObject` is not modifiable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.